Bug 70038 - wrong kernel module loaded for 3C996-SX ethernet card
Summary: wrong kernel module loaded for 3C996-SX ethernet card
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-29 16:02 UTC by brian atkisson
Modified: 2007-04-18 16:44 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-17 01:04:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description brian atkisson 2002-07-29 16:02:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
The kernel module tg3 gets loaded by default for the 3Com 3C996-SX gigabit 
fiber card.  This module works with the card intermittently, but for the most 
part will not work.  The correct kernel module for this card is the bcm5700.  
When the bcm5700 module is loaded instead of the tg3 module, the card works 
like a charm.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.install 3C996-SX card
2.install redhat 7.3
3.card may or may not work... try rebooting several times
4.unload tg3 module and load bcm5700 module and the net card magically work.
	

Additional info:

Comment 1 Arjan van de Ven 2002-07-31 13:16:46 UTC
we're working on an updated kernel with an updated tg3 that does work with this
card.


Note You need to log in before you can comment on or make changes to this bug.